Re: Compilation problems. GdkPixbuf

On Wed, Nov 28, 2001 at 09:09:34PM +0100, Martin Leopold wrote:
> On Wed, 28 Nov 2001 18:02:18 Peter Bloomfield wrote:
> > On my system (up2date RH7.2 + various), gdk-pixbuf/gdk-pixbuf.h is 
> > included from /usr/include/libgnomeprint/gnome-print.h:5, so maybe you 
> > should also check gnomeprint..
> Ah. This seems to be the problem. The file on the newbox doesn't include 
> this line.
> On th old box the files comes from the package:
>   libgnomeprint-dev: /usr/include/libgnomeprint/gnome-print.h
> Version 0.28
> On the new box dpkg -S gnomeprint.h shows:
>   libgnomeprint-dev: /usr/include/gnome-1.0/libgnomeprint/gnome-print.h
>   gnome-print: /usr/include/libgnomeprint/gnome-print.h
> gnome-print - version 0.10
> libgnomeprint-dev - version 0.32
> Hmm.. What's going on here? Are the Debian maintainers anticipating gnome 
> 2.0??

Not the debian maintainers, no.  The gnome people. All gnome headers
are moving to gnome-1.0 to make room for (as you rightly guessed)
gnome 2.

I suggest you make sure you have the latest versions of everything.
gnome-print 0.10 is very out of date: apt-get install
libgnomeprint-bin libgnomeprint-data libgnomeprint-dev.  If necessary,
remove gnome-print by hand.

Alternatively, if you're using debian unstable you could just apt-get
install balsa ;-)


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]